// creator  : weidu.exe (version 23600)
// argument : X#SETTA.DLG
// game     : .
// source   : ./override/X#SETTA.DLG
// dialog   : lang\en_us/dialog.tlk
// dialogF  : (none)

BEGIN ~X#SETTA~

IF ~  Global("X#DYLoveTalk","GLOBAL",30)
~ THEN BEGIN 0 // from:
  SAY #55982 /* ~Look a' the ribbons, 
m' gentle ladies,
I've every pattern
an' color an' length
Silks o' the Orients, 
Cormyrian velvets
purpl' o' Chessenta,
an' Amnish lace...'~ */
  IF ~  InParty("minsc")
InMyArea("minsc")
!StateCheck("minsc",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#DYLoveTalk","GLOBAL",31)
RealSetGlobalTimer("X#DYLoveTalkTime","GLOBAL",DYROM_TIMER)
~ EXTERN ~DYNAHJ~ 706
  IF ~  OR(3)
!InParty("minsc")
!InMyArea("minsc")
StateCheck("minsc",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#DYLoveTalk","GLOBAL",31)
RealSetGlobalTimer("X#DYLoveTalkTime","GLOBAL",DYROM_TIMER)
~ EXTERN ~DYNAHJ~ 707
  IF ~  InParty("minsc")
InMyArea("minsc")
!StateCheck("minsc",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#DYLoveTalk","GLOBAL",31)
RealSetGlobalTimer("X#DYLoveTalkTime","GLOBAL",DYROM_TIMER)
~ EXTERN ~MINSCJ~ 270
  IF ~  InParty("minsc")
InMyArea("minsc")
!StateCheck("minsc",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#DYLoveTalk","GLOBAL",31)
RealSetGlobalTimer("X#DYLoveTalkTime","GLOBAL",DYROM_TIMER)
~ EXTERN ~DYNAHJ~ 705
  IF ~  InParty("minsc")
InMyArea("minsc")
!StateCheck("minsc",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#DYLoveTalk","GLOBAL",31)
RealSetGlobalTimer("X#DYLoveTalkTime","GLOBAL",DYROM_TIMER)
~ EXTERN ~MINSCJ~ 269
  IF ~  InParty("minsc")
InMyArea("minsc")
!StateCheck("minsc",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#DYLoveTalk","GLOBAL",31)
RealSetGlobalTimer("X#DYLoveTalkTime","GLOBAL",DYROM_TIMER)
~ EXTERN ~DYNAHJ~ 704
  IF ~  InParty("minsc")
InMyArea("minsc")
!StateCheck("minsc",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#DYLoveTalk","GLOBAL",31)
RealSetGlobalTimer("X#DYLoveTalkTime","GLOBAL",DYROM_TIMER)
~ EXTERN ~MINSCJ~ 268
  IF ~  InParty("skie")
InMyArea("skie")
!StateCheck("skie",CD_STATE_NOTVALID)
InParty("eldoth")
InMyArea("eldoth")
!StateCheck("eldoth",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#DYLoveTalk","GLOBAL",31)
RealSetGlobalTimer("X#DYLoveTalkTime","GLOBAL",DYROM_TIMER)
~ EXTERN ~SKIEJ~ 234
  IF ~  InParty("skie")
InMyArea("skie")
!StateCheck("skie",CD_STATE_NOTVALID)
InParty("eldoth")
InMyArea("eldoth")
!StateCheck("eldoth",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#DYLoveTalk","GLOBAL",31)
RealSetGlobalTimer("X#DYLoveTalkTime","GLOBAL",DYROM_TIMER)
~ EXTERN ~ELDOTJ~ 146
  IF ~  InParty("skie")
InMyArea("skie")
!StateCheck("skie",CD_STATE_NOTVALID)
InParty("eldoth")
InMyArea("eldoth")
!StateCheck("eldoth",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#DYLoveTalk","GLOBAL",31)
RealSetGlobalTimer("X#DYLoveTalkTime","GLOBAL",DYROM_TIMER)
~ EXTERN ~ELDOTJ~ 145
  IF ~  InParty("skie")
InMyArea("skie")
!StateCheck("skie",CD_STATE_NOTVALID)
InParty("eldoth")
InMyArea("eldoth")
!StateCheck("eldoth",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#DYLoveTalk","GLOBAL",31)
RealSetGlobalTimer("X#DYLoveTalkTime","GLOBAL",DYROM_TIMER)
~ GOTO 2
  IF ~  InParty("skie")
InMyArea("skie")
!StateCheck("skie",CD_STATE_NOTVALID)
InParty("eldoth")
InMyArea("eldoth")
!StateCheck("eldoth",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#DYLoveTalk","GLOBAL",31)
RealSetGlobalTimer("X#DYLoveTalkTime","GLOBAL",DYROM_TIMER)
~ EXTERN ~ELDOTJ~ 144
  IF ~  InParty("skie")
InMyArea("skie")
!StateCheck("skie",CD_STATE_NOTVALID)
InParty("eldoth")
InMyArea("eldoth")
!StateCheck("eldoth",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#DYLoveTalk","GLOBAL",31)
RealSetGlobalTimer("X#DYLoveTalkTime","GLOBAL",DYROM_TIMER)
~ EXTERN ~SKIEJ~ 233
  IF ~  InParty("skie")
InMyArea("skie")
!StateCheck("skie",CD_STATE_NOTVALID)
InParty("eldoth")
InMyArea("eldoth")
!StateCheck("eldoth",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#DYLoveTalk","GLOBAL",31)
RealSetGlobalTimer("X#DYLoveTalkTime","GLOBAL",DYROM_TIMER)
~ EXTERN ~ELDOTJ~ 143
  IF ~  InParty("skie")
InMyArea("skie")
!StateCheck("skie",CD_STATE_NOTVALID)
InParty("eldoth")
InMyArea("eldoth")
!StateCheck("eldoth",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#DYLoveTalk","GLOBAL",31)
RealSetGlobalTimer("X#DYLoveTalkTime","GLOBAL",DYROM_TIMER)
~ EXTERN ~SKIEJ~ 232
  IF ~  InParty("skie")
InMyArea("skie")
!StateCheck("skie",CD_STATE_NOTVALID)
InParty("eldoth")
InMyArea("eldoth")
!StateCheck("eldoth",CD_STATE_NOTVALID)
InParty("garrick")
InMyArea("garrick")
!StateCheck("garrick",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#DYLoveTalk","GLOBAL",31)
RealSetGlobalTimer("X#DYLoveTalkTime","GLOBAL",DYROM_TIMER)
~ EXTERN ~GARRIJ~ 259
  IF ~  InParty("skie")
InMyArea("skie")
!StateCheck("skie",CD_STATE_NOTVALID)
InParty("eldoth")
InMyArea("eldoth")
!StateCheck("eldoth",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#DYLoveTalk","GLOBAL",31)
RealSetGlobalTimer("X#DYLoveTalkTime","GLOBAL",DYROM_TIMER)
~ EXTERN ~ELDOTJ~ 142
  IF ~  InParty("skie")
InMyArea("skie")
!StateCheck("skie",CD_STATE_NOTVALID)
InParty("eldoth")
InMyArea("eldoth")
!StateCheck("eldoth",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#DYLoveTalk","GLOBAL",31)
RealSetGlobalTimer("X#DYLoveTalkTime","GLOBAL",DYROM_TIMER)
~ EXTERN ~SKIEJ~ 231
  IF ~  InParty("coran")
InParty("safana")
~ THEN DO ~SetGlobal("X#DYLoveTalk","GLOBAL",31)
RealSetGlobalTimer("X#DYLoveTalkTime","GLOBAL",DYROM_TIMER)
~ EXTERN ~SAFANJ~ 51
  IF ~  InParty("coran")
InParty("safana")
~ THEN DO ~SetGlobal("X#DYLoveTalk","GLOBAL",31)
RealSetGlobalTimer("X#DYLoveTalkTime","GLOBAL",DYROM_TIMER)
~ EXTERN ~CORANJ~ 1542
  IF ~  InParty("coran")
InParty("safana")
~ THEN DO ~SetGlobal("X#DYLoveTalk","GLOBAL",31)
RealSetGlobalTimer("X#DYLoveTalkTime","GLOBAL",DYROM_TIMER)
~ EXTERN ~SAFANJ~ 50
  IF ~  InParty("coran")
InParty("safana")
~ THEN DO ~SetGlobal("X#DYLoveTalk","GLOBAL",31)
RealSetGlobalTimer("X#DYLoveTalkTime","GLOBAL",DYROM_TIMER)
~ EXTERN ~CORANJ~ 1541
  IF ~  InParty("khalid")
InMyArea("khalid")
!StateCheck("khalid",CD_STATE_NOTVALID)
InParty("jaheira")
InMyArea("jaheira")
!StateCheck("jaheira",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#DYLoveTalk","GLOBAL",31)
RealSetGlobalTimer("X#DYLoveTalkTime","GLOBAL",DYROM_TIMER)
~ EXTERN ~JAHEIJ~ 463
  IF ~  InParty("khalid")
InMyArea("khalid")
!StateCheck("khalid",CD_STATE_NOTVALID)
InParty("jaheira")
InMyArea("jaheira")
!StateCheck("jaheira",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#DYLoveTalk","GLOBAL",31)
RealSetGlobalTimer("X#DYLoveTalkTime","GLOBAL",DYROM_TIMER)
~ EXTERN ~KHALIJ~ 154
  IF ~  InParty("khalid")
InMyArea("khalid")
!StateCheck("khalid",CD_STATE_NOTVALID)
InParty("jaheira")
InMyArea("jaheira")
!StateCheck("jaheira",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#DYLoveTalk","GLOBAL",31)
RealSetGlobalTimer("X#DYLoveTalkTime","GLOBAL",DYROM_TIMER)
~ EXTERN ~JAHEIJ~ 462
  IF ~  InParty("khalid")
InMyArea("khalid")
!StateCheck("khalid",CD_STATE_NOTVALID)
InParty("jaheira")
InMyArea("jaheira")
!StateCheck("jaheira",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#DYLoveTalk","GLOBAL",31)
RealSetGlobalTimer("X#DYLoveTalkTime","GLOBAL",DYROM_TIMER)
~ EXTERN ~KHALIJ~ 153
  IF ~  InParty("khalid")
InMyArea("khalid")
!StateCheck("khalid",CD_STATE_NOTVALID)
InParty("jaheira")
InMyArea("jaheira")
!StateCheck("jaheira",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#DYLoveTalk","GLOBAL",31)
RealSetGlobalTimer("X#DYLoveTalkTime","GLOBAL",DYROM_TIMER)
~ EXTERN ~JAHEIJ~ 461
  IF ~  InParty("khalid")
InMyArea("khalid")
!StateCheck("khalid",CD_STATE_NOTVALID)
InParty("jaheira")
InMyArea("jaheira")
!StateCheck("jaheira",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#DYLoveTalk","GLOBAL",31)
RealSetGlobalTimer("X#DYLoveTalkTime","GLOBAL",DYROM_TIMER)
~ GOTO 1
END

IF ~~ THEN BEGIN 1 // from: 0.27
  SAY #55983 /* ~Sir, a silke' ribbo' t' tie up ya Lady's hair?~ */
  IF ~  InParty("minsc")
InMyArea("minsc")
!StateCheck("minsc",CD_STATE_NOTVALID)
~ THEN EXTERN ~DYNAHJ~ 706
  IF ~  OR(3)
!InParty("minsc")
!InMyArea("minsc")
StateCheck("minsc",CD_STATE_NOTVALID)
~ THEN EXTERN ~DYNAHJ~ 707
  IF ~  InParty("minsc")
InMyArea("minsc")
!StateCheck("minsc",CD_STATE_NOTVALID)
~ THEN EXTERN ~MINSCJ~ 270
  IF ~  InParty("minsc")
InMyArea("minsc")
!StateCheck("minsc",CD_STATE_NOTVALID)
~ THEN EXTERN ~DYNAHJ~ 705
  IF ~  InParty("minsc")
InMyArea("minsc")
!StateCheck("minsc",CD_STATE_NOTVALID)
~ THEN EXTERN ~MINSCJ~ 269
  IF ~  InParty("minsc")
InMyArea("minsc")
!StateCheck("minsc",CD_STATE_NOTVALID)
~ THEN EXTERN ~DYNAHJ~ 704
  IF ~  InParty("minsc")
InMyArea("minsc")
!StateCheck("minsc",CD_STATE_NOTVALID)
~ THEN EXTERN ~MINSCJ~ 268
  IF ~  InParty("skie")
InMyArea("skie")
!StateCheck("skie",CD_STATE_NOTVALID)
InParty("eldoth")
InMyArea("eldoth")
!StateCheck("eldoth",CD_STATE_NOTVALID)
~ THEN EXTERN ~SKIEJ~ 234
  IF ~  InParty("skie")
InMyArea("skie")
!StateCheck("skie",CD_STATE_NOTVALID)
InParty("eldoth")
InMyArea("eldoth")
!StateCheck("eldoth",CD_STATE_NOTVALID)
~ THEN EXTERN ~ELDOTJ~ 146
  IF ~  InParty("skie")
InMyArea("skie")
!StateCheck("skie",CD_STATE_NOTVALID)
InParty("eldoth")
InMyArea("eldoth")
!StateCheck("eldoth",CD_STATE_NOTVALID)
~ THEN EXTERN ~ELDOTJ~ 145
  IF ~  InParty("skie")
InMyArea("skie")
!StateCheck("skie",CD_STATE_NOTVALID)
InParty("eldoth")
InMyArea("eldoth")
!StateCheck("eldoth",CD_STATE_NOTVALID)
~ THEN GOTO 2
  IF ~  InParty("skie")
InMyArea("skie")
!StateCheck("skie",CD_STATE_NOTVALID)
InParty("eldoth")
InMyArea("eldoth")
!StateCheck("eldoth",CD_STATE_NOTVALID)
~ THEN EXTERN ~ELDOTJ~ 144
  IF ~  InParty("skie")
InMyArea("skie")
!StateCheck("skie",CD_STATE_NOTVALID)
InParty("eldoth")
InMyArea("eldoth")
!StateCheck("eldoth",CD_STATE_NOTVALID)
~ THEN EXTERN ~SKIEJ~ 233
  IF ~  InParty("skie")
InMyArea("skie")
!StateCheck("skie",CD_STATE_NOTVALID)
InParty("eldoth")
InMyArea("eldoth")
!StateCheck("eldoth",CD_STATE_NOTVALID)
~ THEN EXTERN ~ELDOTJ~ 143
  IF ~  InParty("skie")
InMyArea("skie")
!StateCheck("skie",CD_STATE_NOTVALID)
InParty("eldoth")
InMyArea("eldoth")
!StateCheck("eldoth",CD_STATE_NOTVALID)
~ THEN EXTERN ~SKIEJ~ 232
  IF ~  InParty("skie")
InMyArea("skie")
!StateCheck("skie",CD_STATE_NOTVALID)
InParty("eldoth")
InMyArea("eldoth")
!StateCheck("eldoth",CD_STATE_NOTVALID)
InParty("garrick")
InMyArea("garrick")
!StateCheck("garrick",CD_STATE_NOTVALID)
~ THEN EXTERN ~GARRIJ~ 259
  IF ~  InParty("skie")
InMyArea("skie")
!StateCheck("skie",CD_STATE_NOTVALID)
InParty("eldoth")
InMyArea("eldoth")
!StateCheck("eldoth",CD_STATE_NOTVALID)
~ THEN EXTERN ~ELDOTJ~ 142
  IF ~  InParty("skie")
InMyArea("skie")
!StateCheck("skie",CD_STATE_NOTVALID)
InParty("eldoth")
InMyArea("eldoth")
!StateCheck("eldoth",CD_STATE_NOTVALID)
~ THEN EXTERN ~SKIEJ~ 231
  IF ~  InParty("coran")
InParty("safana")
~ THEN EXTERN ~SAFANJ~ 51
  IF ~  InParty("coran")
InParty("safana")
~ THEN EXTERN ~CORANJ~ 1542
  IF ~  InParty("coran")
InParty("safana")
~ THEN EXTERN ~SAFANJ~ 50
  IF ~  InParty("coran")
InParty("safana")
~ THEN EXTERN ~CORANJ~ 1541
  IF ~  InParty("khalid")
InMyArea("khalid")
!StateCheck("khalid",CD_STATE_NOTVALID)
InParty("jaheira")
InMyArea("jaheira")
!StateCheck("jaheira",CD_STATE_NOTVALID)
~ THEN EXTERN ~JAHEIJ~ 463
  IF ~  InParty("khalid")
InMyArea("khalid")
!StateCheck("khalid",CD_STATE_NOTVALID)
InParty("jaheira")
InMyArea("jaheira")
!StateCheck("jaheira",CD_STATE_NOTVALID)
~ THEN EXTERN ~KHALIJ~ 154
  IF ~  InParty("khalid")
InMyArea("khalid")
!StateCheck("khalid",CD_STATE_NOTVALID)
InParty("jaheira")
InMyArea("jaheira")
!StateCheck("jaheira",CD_STATE_NOTVALID)
~ THEN EXTERN ~JAHEIJ~ 462
  IF ~  InParty("khalid")
InMyArea("khalid")
!StateCheck("khalid",CD_STATE_NOTVALID)
InParty("jaheira")
InMyArea("jaheira")
!StateCheck("jaheira",CD_STATE_NOTVALID)
~ THEN EXTERN ~KHALIJ~ 153
  IF ~  InParty("khalid")
InMyArea("khalid")
!StateCheck("khalid",CD_STATE_NOTVALID)
InParty("jaheira")
InMyArea("jaheira")
!StateCheck("jaheira",CD_STATE_NOTVALID)
~ THEN EXTERN ~JAHEIJ~ 461
END

IF ~~ THEN BEGIN 2 // from: 1.10 0.10
  SAY #56000 /* ~Fer yer lady - only five gold, sir. Ya won't find a better price on Chessentian satin anywhe'er.~ */
  IF ~  InParty("minsc")
InMyArea("minsc")
!StateCheck("minsc",CD_STATE_NOTVALID)
~ THEN EXTERN ~DYNAHJ~ 706
  IF ~  OR(3)
!InParty("minsc")
!InMyArea("minsc")
StateCheck("minsc",CD_STATE_NOTVALID)
~ THEN EXTERN ~DYNAHJ~ 707
  IF ~  InParty("minsc")
InMyArea("minsc")
!StateCheck("minsc",CD_STATE_NOTVALID)
~ THEN EXTERN ~MINSCJ~ 270
  IF ~  InParty("minsc")
InMyArea("minsc")
!StateCheck("minsc",CD_STATE_NOTVALID)
~ THEN EXTERN ~DYNAHJ~ 705
  IF ~  InParty("minsc")
InMyArea("minsc")
!StateCheck("minsc",CD_STATE_NOTVALID)
~ THEN EXTERN ~MINSCJ~ 269
  IF ~  InParty("minsc")
InMyArea("minsc")
!StateCheck("minsc",CD_STATE_NOTVALID)
~ THEN EXTERN ~DYNAHJ~ 704
  IF ~  InParty("minsc")
InMyArea("minsc")
!StateCheck("minsc",CD_STATE_NOTVALID)
~ THEN EXTERN ~MINSCJ~ 268
  IF ~  InParty("skie")
InMyArea("skie")
!StateCheck("skie",CD_STATE_NOTVALID)
InParty("eldoth")
InMyArea("eldoth")
!StateCheck("eldoth",CD_STATE_NOTVALID)
~ THEN EXTERN ~SKIEJ~ 234
  IF ~  InParty("skie")
InMyArea("skie")
!StateCheck("skie",CD_STATE_NOTVALID)
InParty("eldoth")
InMyArea("eldoth")
!StateCheck("eldoth",CD_STATE_NOTVALID)
~ THEN EXTERN ~ELDOTJ~ 146
  IF ~  InParty("skie")
InMyArea("skie")
!StateCheck("skie",CD_STATE_NOTVALID)
InParty("eldoth")
InMyArea("eldoth")
!StateCheck("eldoth",CD_STATE_NOTVALID)
~ THEN EXTERN ~ELDOTJ~ 145
END
